---
canonical: https://amplience.com/developers/docs/apis/content-management-reference/content-sync/
title: "Content sync"
description: "API reference for content sync endpoints. Covers deep sync jobs, job status, cross-hub content repository mapping, and sync balance usage."
audience: Developer
date_published: 2023-08-29
date_modified: 2026-06-16
---

# Content sync

**Base URL:** `https://api.amplience.net/v2/content`

> **Note: Authorization and status codes**
> For authorization and status codes see the [API Reference overview](https://amplience.com/developers/docs/apis/content-management-reference/).

## Jobs

| Method | Endpoint | Summary |
|--------|----------|---------|
| `POST` | `/hubs/{hubId}/deep-sync-job` | [Create deep sync job](#create-deep-sync-job) |
| `POST` | `/hubs/{hubId}/jobs` | [List job](#list-job) |
| `GET` | `/hubs/{hubId}/jobs/{jobId}` | [Get job](#get-job) |

### Create deep sync job

`POST /hubs/{hubId}/deep-sync-job`

<small>`https://api.amplience.net/v2/content/hubs/{hubId}/deep-sync-job`</small>

create new deep sync job

**Parameters**

| Name | In | Type | Required | Description |
|------|----|------|----------|-------------|
| `hubId` | path | string | ✓ | Hub ID<br/>Example: `00112233445566778899aabb` |

**Request Body**

Content-Type: `application/json`

| Field | Type | Required | Description |
|-------|------|----------|-------------|
| `label` | string |  | Job label |
| `ignoreSchemaValidation` | boolean |  | Ignore schema validation |
| `destinationHubId` | string |  | Hub ID |
| `input` | object |  | job request input data |

<details>
<summary>Request example</summary>

```json
{
  "label": "deep sync job",
  "destinationHubId": "00112233445566778899aabb",
  "input": {
    "rootContentItemIds": [
      "00112233-4455-6677-8899-aabbccddeeff"
    ]
  }
}
```

</details>

**Responses**

| Status | Description |
|--------|-------------|
| 200 | List Job response |

<details>
<summary>Response Example (200)</summary>

```json
{
  "jobId": "00112233445566778899aabb",
  "_links": {
    "self": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/jobs/00112233445566778899aabb"
    },
    "job": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/jobs/{id}",
      "templated": true
    }
  }
}
```

</details>

### List job

`POST /hubs/{hubId}/jobs`

<small>`https://api.amplience.net/v2/content/hubs/{hubId}/jobs`</small>

retrieve jobs

**Parameters**

| Name | In | Type | Required | Description |
|------|----|------|----------|-------------|
| `hubId` | path | string | ✓ | Hub ID<br/>Example: `00112233445566778899aabb` |

**Request Body**

Content-Type: `application/json`

| Field | Type | Required | Description |
|-------|------|----------|-------------|
| `user` | string |  | User Id |
| `limitDateRange` | boolean |  | Limit the listed jobs to the last 30 days |
| `status` | string (CREATED, IN_PROGRESS, FAILED, COMPLETED) |  | Status of Job |
| `jobType` | string (DEEP_SYNC_JOB) |  | Status of Job |

<details>
<summary>Request example</summary>

```json
{
  "user": "00112233-4455-6677-8899-aabbccddeeff",
  "status": "CREATED",
  "jobType": "DEEP_SYNC_JOB"
}
```

</details>

**Responses**

| Status | Description |
|--------|-------------|
| 200 | List Job response |

<details>
<summary>Response Example (200)</summary>

```json
{
  "_embedded": {
    "jobs": [
      {
        "id": "00112233-4455-6677-8899-aabbccddeeff",
        "label": "Anya Finn",
        "status": "CREATED",
        "stateChanges": [
          {
            "timestamp": "2019-01-01T00:00:00.000Z"
          }
        ],
        "jobType": "DEEP_SYNC_JOB",
        "createdBy": "00112233-4455-6677-8899-aabbccddeeff",
        "_links": {
          "self": {
            "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/jobs/00112233445566778899aabb"
          },
          "job": {
            "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/jobs/{id}"
          }
        }
      }
    ]
  },
  "_links": {
    "self": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233-4455-6677-8899-aabbccddeeff/jobs?page=0&size=20"
    },
    "first": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233-4455-6677-8899-aabbccddeeff/jobs?page=0&size=20"
    },
    "last": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233-4455-6677-8899-aabbccddeeff/jobs?page=0&size=20"
    }
  },
  "page": {
    "size": 20,
    "totalElements": 1,
    "totalPages": 1,
    "number": 0
  }
}
```

</details>

### Get job

`GET /hubs/{hubId}/jobs/{jobId}`

<small>`https://api.amplience.net/v2/content/hubs/{hubId}/jobs/{jobId}`</small>

retrieve job

**Parameters**

| Name | In | Type | Required | Description |
|------|----|------|----------|-------------|
| `hubId` | path | string | ✓ | Hub ID<br/>Example: `00112233445566778899aabb` |
| `jobId` | path | string | ✓ | Job Id<br/>Example: `00112233445566778899aabb` |

**Responses**

| Status | Description |
|--------|-------------|
| 200 | Job response |

<details>
<summary>Response Example (200)</summary>

```json
{
  "id": "00112233445566778899aabb",
  "label": "Anya Finn",
  "status": "CREATED",
  "stateChanges": [
    {
      "timestamp": "2019-01-01T00:00:00.000Z"
    }
  ],
  "jobType": "DEEP_SYNC_JOB",
  "originHubId": "00112233445566778899aabb",
  "destinationHubId": "00112233445566778899aabb",
  "rootContentItemIDs": [
    "00112233445566778899aabb"
  ],
  "associatedHubIds": [
    "00112233445566778899aabb, 00112233445566778899aabb"
  ],
  "errors": [
    {
      "entity": {
        "entityId": "00112233-4455-6677-8899-aabbccddeeff",
        "entityType": "Hub"
      },
      "errorResponse": {
        "code": "SUCCESS",
        "level": "INFO"
      }
    }
  ],
  "createdBy": "00112233-4455-6677-8899-aabbccddeeff",
  "createdDate": "2019-01-01T00:00:00.000Z",
  "_links": {
    "self": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/jobs/00112233445566778899aabb"
    },
    "job": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/jobs/00112233445566778899aabb"
    }
  }
}
```

</details>

## Balances

| Method | Endpoint | Summary |
|--------|----------|---------|
| `GET` | `/hubs/{hubId}/balances` | [Get balances](#get-balances) |

### Get balances

`GET /hubs/{hubId}/balances`

<small>`https://api.amplience.net/v2/content/hubs/{hubId}/balances`</small>

retrieve balances

**Parameters**

| Name | In | Type | Required | Description |
|------|----|------|----------|-------------|
| `hubId` | path | string | ✓ | Hub ID<br/>Example: `00112233445566778899aabb` |

**Responses**

| Status | Description |
|--------|-------------|
| 200 | Balances Response |

<details>
<summary>Response Example (200)</summary>

```json
{
  "organisation": [
    {
      "metric": "dynamic-content-sync-limits",
      "description": "Number of processed items synced across all hubs in the organisation",
      "limit": 1000,
      "currentUsage": 999
    }
  ],
  "hub": [
    {
      "metric": "dynamic-content-sync-limits",
      "description": "Number of processed items synced across all hubs in the organisation",
      "limit": 1000,
      "currentUsage": 999
    }
  ],
  "_links": {
    "self": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/balances"
    },
    "balances": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/balances"
    }
  }
}
```

</details>

## Content repository mapping

| Method | Endpoint | Summary |
|--------|----------|---------|
| `GET` | `/hubs/{hubid}/linked-content-repositories` | [List linked content repositories](#list-linked-content-repositories) |

### List linked content repositories

`GET /hubs/{hubid}/linked-content-repositories`

<small>`https://api.amplience.net/v2/content/hubs/{hubid}/linked-content-repositories`</small>

List the mapping relationships between two Hubs

**Parameters**

| Name | In | Type | Required | Description |
|------|----|------|----------|-------------|
| `hubId` | path | string | ✓ | Hub ID<br/>Example: `00112233445566778899aabb` |

**Responses**

| Status | Description |
|--------|-------------|
| 200 | List Linked Content Repository |

<details>
<summary>Response Example (200)</summary>

```json
{
  "_embedded": {
    "linked-content-repositories": [
      {
        "originHubId": "00112233445566778899aabb",
        "hubIds": [
          "00112233445566778899aabb",
          "00112233445566778899ccdd"
        ],
        "originHubLabel": "Anya Finn",
        "destinationHubLabel": "Anya Finn",
        "bidirectional": false,
        "relationships": [
          {
            "originRepositoryId": "00112233-4455-6677-8899-aabbccddeeff",
            "originRepositoryLabel": "inspiration",
            "dstRepositoryId": "00112233-4455-6677-8899-aabbccddeeff",
            "dstRepositoryLabel": "inspiration"
          }
        ],
        "_links": {
          "self": {
            "href": "https://api.amplience.net/v2/content/hub/00112233445566778899aabb/linked-content-repositories"
          },
          "linked-content-repositories": {
            "href": "https://api.amplience.net/v2/content/hub/00112233445566778899aabb/linked-content-repositories"
          }
        }
      }
    ]
  }
}
```

</details>
